> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-fix-875-html-entity-rendering.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /registry/allocations/v1/:allocationId/choice-contexts/withdraw

> Get the choice context to withdraw an allocation.




## OpenAPI

````yaml /openapi/splice/token-standard/allocation-v1.yaml post /registry/allocations/v1/{allocationId}/choice-contexts/withdraw
openapi: 3.0.0
info:
  title: allocation off-ledger API
  description: >
    Implemented by token registries for the purpose of the use and management of

    allocations by wallets and apps orchestrating the settlement of asset
    transfers.
  version: 1.1.0
servers: []
security: []
paths:
  /registry/allocations/v1/{allocationId}/choice-contexts/withdraw:
    post:
      summary: POST /registry/allocations/v1/:allocationId/choice-contexts/withdraw
      description: |
        Get the choice context to withdraw an allocation.
      operationId: getAllocationWithdrawContext
      parameters:
        - name: allocationId
          description: The contract ID of the allocation to withdraw.
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetChoiceContextRequest'
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChoiceContext'
        '400':
          $ref: '#/components/responses/400'
        '404':
          $ref: '#/components/responses/404'
components:
  schemas:
    GetChoiceContextRequest:
      description: |
        A request to get the context for executing a choice on a contract.
      type: object
      properties:
        meta:
          description: >
            Metadata that will be passed to the choice, and should be
            incorporated

            into the choice context. Provided for extensibility.
          type: object
          additionalProperties:
            type: string
        excludeDebugFields:
          description: >-
            If set to true, the response will not include fields prefixed with
            'debug'. Useful to save bandwidth.
          default: false
          type: boolean
    ChoiceContext:
      description: >
        The context required to exercise a choice on a contract via an
        interface.

        Used to retrieve additional reference date that is passed in via
        disclosed contracts,

        which are in turn referred to via their contract ID in the
        `choiceContextData`.
      type: object
      properties:
        choiceContextData:
          description: The additional data to use when exercising the choice.
          type: object
        disclosedContracts:
          description: >
            The contracts that are required to be disclosed to the participant
            node for exercising

            the choice.
          type: array
          items:
            $ref: '#/components/schemas/DisclosedContract'
      required:
        - choiceContextData
        - disclosedContracts
    DisclosedContract:
      type: object
      properties:
        templateId:
          type: string
        contractId:
          type: string
        createdEventBlob:
          type: string
        synchronizerId:
          description: >
            The synchronizer to which the contract is currently assigned.

            If the contract is in the process of being reassigned, then a "409"
            response is returned.
          type: string
        debugPackageName:
          description: >
            The name of the Daml package that was used to create the contract.

            Use this data only if you trust the provider, as it might not match
            the data in the

            `createdEventBlob`.
          type: string
        debugPayload:
          description: >
            The contract arguments that were used to create the contract.

            Use this data only if you trust the provider, as it might not match
            the data in the

            `createdEventBlob`.
          type: object
        debugCreatedAt:
          description: >
            The ledger effective time at which the contract was created.

            Use this data only if you trust the provider, as it might not match
            the data in the

            `createdEventBlob`.
          type: string
          format: date-time
      required:
        - templateId
        - contractId
        - createdEventBlob
        - synchronizerId
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '400':
      description: bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````